// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.26.0
// 	protoc        v3.13.0
// source: v1/private/queues/notifications.proto

package private

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

//ADDITIONAL HEADERS(version,namespace))
type TranslationValueChanged struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Namespace string `protobuf:"bytes,1,opt,name=namespace,proto3" json:"namespace,omitempty"` //identifier of unique keys pool
	Key       string `protobuf:"bytes,2,opt,name=key,proto3" json:"key,omitempty"`             //unique identifier in Namespace, example : event:777
	Locale    string `protobuf:"bytes,3,opt,name=locale,proto3" json:"locale,omitempty"`       //example en_GB
}

func (x *TranslationValueChanged) Reset() {
	*x = TranslationValueChanged{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_private_queues_notifications_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *TranslationValueChanged) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*TranslationValueChanged) ProtoMessage() {}

func (x *TranslationValueChanged) ProtoReflect() protoreflect.Message {
	mi := &file_v1_private_queues_notifications_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use TranslationValueChanged.ProtoReflect.Descriptor instead.
func (*TranslationValueChanged) Descriptor() ([]byte, []int) {
	return file_v1_private_queues_notifications_proto_rawDescGZIP(), []int{0}
}

func (x *TranslationValueChanged) GetNamespace() string {
	if x != nil {
		return x.Namespace
	}
	return ""
}

func (x *TranslationValueChanged) GetKey() string {
	if x != nil {
		return x.Key
	}
	return ""
}

func (x *TranslationValueChanged) GetLocale() string {
	if x != nil {
		return x.Locale
	}
	return ""
}

var File_v1_private_queues_notifications_proto protoreflect.FileDescriptor

var file_v1_private_queues_notifications_proto_rawDesc = []byte{
	0x0a, 0x25, 0x76, 0x31, 0x2f, 0x70, 0x72, 0x69, 0x76, 0x61, 0x74, 0x65, 0x2f, 0x71, 0x75, 0x65,
	0x75, 0x65, 0x73, 0x2f, 0x6e, 0x6f, 0x74, 0x69, 0x66, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e,
	0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x22, 0x6c, 0x61, 0x6e, 0x67, 0x75, 0x61, 0x67,
	0x65, 0x2e, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x2e, 0x76, 0x31, 0x2e, 0x70, 0x72, 0x69,
	0x76, 0x61, 0x74, 0x65, 0x2e, 0x71, 0x75, 0x65, 0x75, 0x65, 0x73, 0x22, 0x61, 0x0a, 0x17, 0x54,
	0x72, 0x61, 0x6e, 0x73, 0x6c, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x43,
	0x68, 0x61, 0x6e, 0x67, 0x65, 0x64, 0x12, 0x1c, 0x0a, 0x09, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70,
	0x61, 0x63, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x6e, 0x61, 0x6d, 0x65, 0x73,
	0x70, 0x61, 0x63, 0x65, 0x12, 0x10, 0x0a, 0x03, 0x6b, 0x65, 0x79, 0x18, 0x02, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x03, 0x6b, 0x65, 0x79, 0x12, 0x16, 0x0a, 0x06, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65,
	0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x42, 0x71,
	0x0a, 0x2b, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x61, 0x70, 0x69, 0x73, 0x2e, 0x6c,
	0x61, 0x6e, 0x67, 0x75, 0x61, 0x67, 0x65, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x2e, 0x76,
	0x31, 0x2e, 0x70, 0x72, 0x69, 0x76, 0x2e, 0x71, 0x75, 0x65, 0x75, 0x65, 0x73, 0x50, 0x01, 0x5a,
	0x3d, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x61, 0x64, 0x68, 0x6f,
	0x63, 0x67, 0x75, 0x72, 0x75, 0x2f, 0x66, 0x63, 0x70, 0x2f, 0x61, 0x70, 0x69, 0x73, 0x2f, 0x67,
	0x65, 0x6e, 0x2f, 0x6c, 0x61, 0x6e, 0x67, 0x75, 0x61, 0x67, 0x65, 0x2d, 0x73, 0x65, 0x72, 0x76,
	0x69, 0x63, 0x65, 0x2f, 0x76, 0x31, 0x2f, 0x70, 0x72, 0x69, 0x76, 0x61, 0x74, 0x65, 0xba, 0x02,
	0x00, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_v1_private_queues_notifications_proto_rawDescOnce sync.Once
	file_v1_private_queues_notifications_proto_rawDescData = file_v1_private_queues_notifications_proto_rawDesc
)

func file_v1_private_queues_notifications_proto_rawDescGZIP() []byte {
	file_v1_private_queues_notifications_proto_rawDescOnce.Do(func() {
		file_v1_private_queues_notifications_proto_rawDescData = protoimpl.X.CompressGZIP(file_v1_private_queues_notifications_proto_rawDescData)
	})
	return file_v1_private_queues_notifications_proto_rawDescData
}

var file_v1_private_queues_notifications_proto_msgTypes = make([]protoimpl.MessageInfo, 1)
var file_v1_private_queues_notifications_proto_goTypes = []interface{}{
	(*TranslationValueChanged)(nil), // 0: language.service.v1.private.queues.TranslationValueChanged
}
var file_v1_private_queues_notifications_proto_depIdxs = []int32{
	0, // [0:0] is the sub-list for method output_type
	0, // [0:0] is the sub-list for method input_type
	0, // [0:0] is the sub-list for extension type_name
	0, // [0:0] is the sub-list for extension extendee
	0, // [0:0] is the sub-list for field type_name
}

func init() { file_v1_private_queues_notifications_proto_init() }
func file_v1_private_queues_notifications_proto_init() {
	if File_v1_private_queues_notifications_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_v1_private_queues_notifications_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*TranslationValueChanged); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_v1_private_queues_notifications_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   1,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_v1_private_queues_notifications_proto_goTypes,
		DependencyIndexes: file_v1_private_queues_notifications_proto_depIdxs,
		MessageInfos:      file_v1_private_queues_notifications_proto_msgTypes,
	}.Build()
	File_v1_private_queues_notifications_proto = out.File
	file_v1_private_queues_notifications_proto_rawDesc = nil
	file_v1_private_queues_notifications_proto_goTypes = nil
	file_v1_private_queues_notifications_proto_depIdxs = nil
}
